> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a subledger

> Create a subledger object to represent a separate pool of funds attached to an existing customer



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml post /deliver/subledgers
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/subledgers:
    post:
      tags:
        - Subledgers
      summary: Create a subledger
      description: >-
        Create a subledger object to represent a separate pool of funds attached
        to an existing customer
      operationId: post-subledger
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubledgerRequest'
        required: true
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubledgerResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - write:subledgers
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    SubledgerRequest:
      title: SubledgerRequest
      type: object
      required:
        - subledger_reference_id
        - customer_reference_id
      properties:
        subledger_reference_id:
          allOf:
            - $ref: '#/components/schemas/SubledgerReferenceId'
          x-orum-error-missing:
            known-error: missing_subledger_reference_id
          x-orum-error-invalid:
            known-error: invalid_subledger_reference_id
        customer_reference_id:
          allOf:
            - $ref: '#/components/schemas/CustomerReferenceId'
          x-orum-error-missing:
            known-error: missing_customer_reference_id
          x-orum-error-invalid:
            known-error: invalid_customer_reference_id
    SubledgerResponse:
      title: SubledgerResponse
      type: object
      required:
        - subledger
      properties:
        subledger:
          allOf:
            - $ref: '#/components/schemas/SubledgerResponseBase'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    SubledgerReferenceId:
      title: SubledgerReferenceId
      type: string
      description: Unique reference id for the subledger resource. Generated by you.
      minLength: 1
      maxLength: 255
    CustomerReferenceId:
      title: CustomerReferenceId
      type: string
      description: >-
        Unique reference id for the customer (business or person) resource.
        Generated by you.
      minLength: 1
      maxLength: 255
    SubledgerResponseBase:
      type: object
      required:
        - id
        - subledger_reference_id
        - customer_reference_id
        - customer_resource_type
        - status
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        subledger_reference_id:
          $ref: '#/components/schemas/SubledgerReferenceId'
        customer_reference_id:
          $ref: '#/components/schemas/CustomerReferenceId'
        customer_resource_type:
          $ref: '#/components/schemas/EndCustomerResourceType'
        status:
          $ref: '#/components/schemas/SubledgerStatus'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        closed_at:
          $ref: '#/components/schemas/ClosedAt'
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    EndCustomerResourceType:
      type: string
      description: Type of customer resource - business, person, or enterprise.
      enum:
        - business
        - person
        - enterprise
    SubledgerStatus:
      title: SubledgerStatus
      type: string
      description: Status of subledger in Orum system.
      enum:
        - created
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
    ClosedAt:
      type: string
      description: Timestamp when the status of the resource was set to "closed".
      format: date-time
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````